//  SettingsStopController.m

#import "StopConditionController.h"

#import "Utils.h"
@interface StopConditionController ()
@end

@implementation StopConditionController

- (void)viewDidLoad
{
    [super viewDidLoad];
   
    int nTagCount = (int)[[NSUserDefaults standardUserDefaults] integerForKey:@"RFIDScanTagCount"];
    int nScanTime = (int)[[NSUserDefaults standardUserDefaults] integerForKey:@"RFIDScanTagTime"];
    int nCycle    = (int)[[NSUserDefaults standardUserDefaults] integerForKey:@"RFIDScanTagInventory"];
    
    self.olStopTagCount.text = [NSString stringWithFormat:@"%d",nTagCount];
    self.olStopTime.text     = [NSString stringWithFormat:@"%d",nScanTime];
    self.olStopCycle.text    = [NSString stringWithFormat:@"%d",nCycle];
   
}

- (IBAction)rightBarButtonItemClicked:(id)sender
{
    [self.olStopTagCount resignFirstResponder];
    [self.olStopTime resignFirstResponder];
    [self.olStopCycle resignFirstResponder];
       
    int stopTagCount =   (int)[self.olStopTagCount.text integerValue];
    int stopTime     =   (int)[self.olStopTime.text integerValue];
    int stopCycle    =   (int)[self.olStopCycle.text integerValue];
    
    [[NSUserDefaults standardUserDefaults] setInteger:stopTagCount forKey:@"RFIDScanTagCount"];
    [[NSUserDefaults standardUserDefaults] setInteger:stopTime forKey:@"RFIDScanTagTime"];
    [[NSUserDefaults standardUserDefaults] setInteger:stopCycle forKey:@"RFIDScanTagInventory"];
    [Utils showAlert:@"Confirm" message:@"Changed Stop condition" view:self];
    
}

@end
